/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TImportLog;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TImportLogRecord extends UpdatableRecordImpl<TImportLogRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_import_log.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_import_log.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_import_log.pk</code>. the used id, act as
     * primary key
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_import_log.pk</code>. the used id, act as
     * primary key
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_import_log.fk_import_log</code>. the id from
     * parent
     */
    public void setFkImportLog(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_import_log.fk_import_log</code>. the id from
     * parent
     */
    public Integer getFkImportLog() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_import_log.pseudo_id</code>. the proband
     * pseudo id
     */
    public void setPseudoId(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_import_log.pseudo_id</code>. the proband
     * pseudo id
     */
    public String getPseudoId() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_import_log.measure_id</code>. the measure
     * id, if known
     */
    public void setMeasureId(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_import_log.measure_id</code>. the measure
     * id, if known
     */
    public Integer getMeasureId() {
        return (Integer) get(4);
    }

    /**
     * Setter for <code>common_dd.t_import_log.import_date</code>. date of
     * import
     */
    public void setImportDate(LocalDateTime value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.t_import_log.import_date</code>. date of
     * import
     */
    public LocalDateTime getImportDate() {
        return (LocalDateTime) get(5);
    }

    /**
     * Setter for <code>common_dd.t_import_log.state</code>. import state of
     * import item
     */
    public void setState(Integer value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.t_import_log.state</code>. import state of
     * import item
     */
    public Integer getState() {
        return (Integer) get(6);
    }

    /**
     * Setter for <code>common_dd.t_import_log.description</code>. further
     * description of import item
     */
    public void setDescription(String value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.t_import_log.description</code>. further
     * description of import item
     */
    public String getDescription() {
        return (String) get(7);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TImportLogRecord
     */
    public TImportLogRecord() {
        super(TImportLog.T_IMPORT_LOG);
    }

    /**
     * Create a detached, initialised TImportLogRecord
     */
    public TImportLogRecord(LocalDateTime lastchange, Integer pk, Integer fkImportLog, String pseudoId, Integer measureId, LocalDateTime importDate, Integer state, String description) {
        super(TImportLog.T_IMPORT_LOG);

        setLastchange(lastchange);
        setPk(pk);
        setFkImportLog(fkImportLog);
        setPseudoId(pseudoId);
        setMeasureId(measureId);
        setImportDate(importDate);
        setState(state);
        setDescription(description);
        resetChangedOnNotNull();
    }
}
